/* body */
body {
	margin: 0;
	font-size: 16px;
	font-family: 'Inter', sans-serif;
	line-height: 1.5;
	color: #2d2f29;
	
	background: #fafafa;
	min-height: 100vh;
}

/* a */
a {
	color: #3851af;
	text-decoration: underline;
	text-underline-offset: 3px;
	transition: all 0.2s ease;
}
a[target="_blank"] {
	text-decoration: underline dotted;
}
a[target="_blank"]::after {
    content: "↗";
    display: inline-block;
    margin-left: .15rem;
	font-size: 0.85em;
	vertical-align: middle;
    position: relative;
    top: -1px;
    transition: transform 0.2s ease;
}
a.internal[target="_blank"]::after {
    content: "→";
    top: 0px;
}
@media (hover: hover) {
	a:hover {
		text-decoration: none;
	}
	a[target="_blank"]:hover::after {
		transform: translate(2px, -2px);
	}
	a.internal[target="_blank"]:hover::after {
        transform: translate(4px, 0px);
    }
}
@media (hover: none) {
    a[target="_blank"]::after {
        content: none;
    }
}
a.strava_link {
	color: #FC5200;
}

/* img */
img, video {
	max-width: 100%;
	height: auto;
}

/* button */
button,
.button {
	display: flex;
	align-items: center;
	gap: .25rem;	
	background: #3851af;
	color: #fff;
	cursor: pointer;
	outline: 0;
	padding: 0;
	border: 1px solid #3851af;
	border-radius: .5rem;
	font-size: inherit;
	padding: 0 1rem;
	min-height: calc(48px - 2px);
}
@media (hover: hover) {
	button:hover,
	.button:hover {
		background: #4c69d3;
	}
}
button:active,
.button:active {
	background: #2b418f;
}
button:disabled,
.button:disabled {
	cursor: not-allowed;
	opacity: .5;
}
button.clean,
.button.clean {
	background: transparent;
	color: #3851af;
}
@media (hover: hover) {
	button.clean:hover,
	.button.clean:hover {
		background: #4c69d3;
		color: #fff;
	}
}

/* h tags */
h1, h2, h3, h4, h5, h6 {
	margin: 0;
}
.h1,h1 {
    font-size: 30px;
}
.h2,h2 {
    font-size: 26px;
}
.h3,h3 {
    font-size: 22px;
}
.h4,h4 {
    font-size: 20px;
}
h1 span {
	color: #3851af;
}

/* main */
main {
	display: flex;
	flex-direction: column;
	gap: 1rem;
	
	padding: 1rem;
	max-width: calc(1280px - 2rem);
	margin: auto;
}

/* footer */
footer {	
	margin-top: 3rem;
	padding: 3rem 1rem;
	background: #f7f7fa;
}
footer .inner {
	display: flex;
	flex-direction: column;
	gap: 1rem;
	max-width: calc(1280px - 2rem);
	margin: auto;
}
footer p {
	margin: 0;
}
footer .footer_grid {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
	gap: 1rem;
}
footer .footer_grid .footer_item {
	display: flex;
	flex-direction: column;
	gap: 1rem;
}
footer .footer_grid .footer_item ul {
	list-style: none;
	margin: 0;
	padding: 0;
}
footer .footer_strava {
	text-align: center;
	
}
footer .footer_copyright {
	text-align: center;
}

/* breadcrumbs */
/*
nav.breadcrumbs {
	padding: .25rem 1rem 0;
	max-width: calc(1280px + 1rem);
	margin: auto;
}
*/
nav.breadcrumbs ol {
    list-style: none;
    margin: 0;
    padding: 0;
	list-style-type:none;
	text-overflow:ellipsis;
	white-space:nowrap;
	overflow:hidden;
}
nav.breadcrumbs> ol li {
    display: inline;
    font-size: .85rem;
    margin: 0;
}
nav.breadcrumbs ol li:before {
    color: #E3DDD8;
}
nav.breadcrumbs> ol li+li:before {
    content: "\203A";
    padding: 0 .25rem;
	color: #555;
}
nav.breadcrumbs> ol li a {
    color: #555;
    text-decoration: none;
}
nav.breadcrumbs>.active a {
    color: initial;
}
nav.breadcrumbs img,
nav.breadcrumbs svg {
	max-width: 12px;
	margin-top: -2.5px;
}

/* page_header */
header.page_header {	
	background: #fff;
	-webkit-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.025);
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.025);
    border-bottom: 1px solid #f0f0f5;
}
header.page_header .inner {
	display: flex;
	align-items: center;
	padding: .5rem 1rem;
	max-width: calc(1280px - 2rem);
	margin: 0 auto;
}
header.page_header a {
	text-decoration: none;
}
header.page_header .logo a {
	color: #3851af;
	font-size: 1.5rem;
	font-weight: 700;
	text-decoration: none;
}
header.page_header nav {
	margin-left: auto;
	display: flex;
	gap: 1rem;
}

/* table */
table {
    border-collapse: collapse;
	width: 100%;
}
table caption {
	font-size: .85rem;
	text-align: left;
}
table thead tr th {
	font-size: .875rem;
	font-weight: 600;
	color: #31555e;
}
table tbody tr {
    border-bottom: 1px solid #dcd6d1;
}
table tr th,
table tr td {
    padding: .5rem 0;
	vertical-align: top;
	text-align: left;
}

/* activity_feed */
.activity_feed {
	display: flex;
	flex-direction: column;
	gap: 1rem;
	max-width: 640px;
	width: 100%;
	margin: 0 auto;
}
.activity_feed .activity_card {
	display: flex;
	flex-direction: column;
	gap: 1rem;
	background-color: rgb(255, 255, 255);
    box-shadow: rgba(13, 13, 18, 0.04) 0px 8px 24px;
	padding: 1rem 1.25rem;
	border-radius: .25rem;
}
.activity_feed .activity_card .activity_card_header {
	display: flex;
	flex-direction: column;
	gap: .25rem;
}
.activity_feed .activity_card .activity_card_header .activity_card_user_name {
	font-weight: 600;
}
.activity_feed .activity_card .activity_card_header .activity_card_metas {
	font-size: .85rem;
	color: #43423f;
}
.activity_feed .activity_card .activity_card_header .activity_card_metas ul {
	display: flex;
	list-style: none;
	padding: 0;
	margin: 0;
}
.activity_feed .activity_card .activity_card_header .activity_card_metas ul li {
	margin-right: .25rem;
}
.activity_feed .activity_card .activity_card_header .activity_card_metas ul li::after {
	content: '·';
}
.activity_feed .activity_card .activity_card_header .activity_card_metas ul li:last-child::after {
	content: none;
}
.activity_feed .activity_card .activity_card_body {
	display: flex;
	gap: 1rem;
}
.activity_feed .activity_card .activity_card_body .activity_card_body_symbol {
	
}
.activity_feed .activity_card .activity_card_body .activity_card_body_main {
	display: flex;
	flex-direction: column;
	gap: .5rem;
}
.activity_feed .activity_card .activity_card_body .activity_card_body_main h3 {
	line-height: 1;
}
.activity_feed .activity_card .activity_card_body .activity_card_body_main .activity_card_stats {
    display: flex;
    gap: 1rem;
}
.activity_feed .activity_card .activity_card_body .activity_card_body_main .activity_card_stats .activity_card_stat {
    border-right: 1px solid #f2f2f0;
    padding-right: 1rem;
}
.activity_feed .activity_card .activity_card_body .activity_card_body_main .activity_card_stats .activity_card_stat:last-child {
    border-right: none;
}
.activity_feed .activity_card .activity_card_body .activity_card_body_main .activity_card_stats .activity_card_stat .activity_card_stat_label {
	font-size: .75rem;
	color: #43423f;
}
.activity_feed .activity_card .activity_card_body .activity_card_body_main .activity_card_stats .activity_card_stat .activity_card_stat_value {
	font-size: 1.25rem;
}
.activity_feed .activity_card .activity_card_media {
	height: 215px;
	
}
.activity_feed .activity_card .activity_card_media img {
	object-fit: cover;
	width: 100%;
	height: 100%;
	border-radius: .25rem;
}